package cn.timer.api.controller.disk.sevice;

import cn.timer.api.bean.disk.DiskCatalogue;
import cn.timer.api.bean.disk.DiskFiles;
import cn.timer.api.config.annotation.UserBean;
import cn.timer.api.dto.disk.DiskCatalogueParam;
import cn.timer.api.dto.disk.DiskFileCatalogueDto;

import java.util.List;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/1/4
 */
public interface DiskFilesService {


    /**
     * 我的文件夹
     * @param diskCatalogueParam
     * @return
     */
    List<DiskFiles> getDiskFiles(DiskCatalogueParam diskCatalogueParam);

    /**
     * 获取用户文件空间大小
     * @param userBean
     * @return
     */
    DiskFileCatalogueDto getFileCount(UserBean userBean,Integer type);

    /**
     * 删除文件
     * @param list
     * @return
     */
    Integer deleteDiskFile(List<Integer> list);

}
